#!/bin/bash            
### Sample System Hook by Curby
### v1.00.03, 2004-02-07


# This script is is just a skeleton around which a real system hook can be built.


# Sources common hook functions
. /Library/Hooks/hookcommon.sh

LogLine "Sample Hook {"

# Take care of users' hook, if one exists
USERHOOK="/Users/$1/Library/Hooks/`basename $0`"
if [ -x "$USERHOOK" ]; then
  LogLine "Calling $1's hook: $USERHOOK"
  #exec su - -f "$1" -c "$USERHOOK" "$@"
  sudo -u "$1" "$USERHOOK" "$1" "$HOOK_INDENT"
else
  LogLine "Skipping $1's hook (missing or not executable)"
fi

# Execute system hook commands after user hook commands



LogLine '}'

exit 0
